import { BaseRequest } from './base-request'
import {getCouponInfo, getCouponPageList, getHualalaShopList} from "@/axios/api";
import {Message} from "element-ui";

// 卡券活动
export class Coupon extends BaseRequest {
  async getDetail(couponId) {
    let res = await this.http.post(`${this.api}/coupon/coupon-get`, {
      couponId: couponId,
    })
    return res.data.data
  }

  async getFoodListByFoodCodes(name = '', foodsCodeList, pageSize = 5000) {
    let res = await this.http.post(`${this.api}/shop/foods-list`, {
      pageSize: pageSize,
      nextPage: 1,
      condition: {
        name: name,
        foodsCodeList: foodsCodeList,
      },
    })
    return res.data.data
  }
  async getStoreListByStoreIds(name = '', shopsIdList = [], pageSize = 5000) {
    let res = await this.http.post(`${this.api}/shop/shops-list`, {
      pageSize: pageSize,
      nextPage: 1,
      condition: {
        name: name,
        shopsIdList: shopsIdList,
      },
    })
    return res.data.data
  }

  async getShopListByIds(name = '', shopsIdList = [], pageSize = 6000) {

    let pageQuery =  {
      pageSize: pageSize,
      page: 1,
      status: 1,
      shopIdList: shopsIdList,
    }
    let res = await getHualalaShopList(pageQuery)
    return res.data.data
  }

  // async getStoreListByNo(name = '', storeNoList = [], pageSize = 6000) {
  //
  //   let pageQuery =  {
  //     pageSize: pageSize,
  //     page: 1,
  //     status: '',
  //     storeNoList: storeNoList,
  //   }
  //   let res = await getStoreListBy(pageQuery)
  //   return res.data.data
  // }
}
