import http from './http'
import { obectToJson } from '@/utils'

//
/**
 *  @parms resquest 请求地址 例如：http://197.82.15.15:8088/request/...
 *  @param '/testIp'代表vue-cil中config，index.js中配置的代理
 */
const api = '/api/supers'
// eslint-disable-next-line no-unused-vars
const open = '/open'

export function login(params) {
  return http.post(`api/auth/login`, params)
}

// //企业微信接口集合
export function getGroupList(params) {
  return http.post(`${api}/wework/group-search`, params)
}

export function getSendGroupList(params) {
  return http.post(`${api}/wework/group-send-search`, params)
}

export function getWeworkChatList(params) {
  return http.post(`${api}/wework/group-chat-list`, params)
}

export function getWeworkChatSumList(params) {
  return http.post(`${api}/wework/get-chat-sum-list`, params)
}

export function getQrCode(params) {
  return http.post(`${api}/wework/get-qr-code`, params)
}

export function saveChatGroup(params) {
  return http.post(`${api}/wework/save-chat`, params)
}

export function openFansChat(params) {
  return http.post(`${api}/wework/open-fans-chat`, params)
}

export function getWeworkPicList(params) {
  return http.post(`${api}/wework/get-wework-pic-list`, params)
}

export function getWeworkShopList(params) {
  return http.post(`${api}/wework/shop-chat-num`, params)
}

export function getWeworkWelcomeList(params) {
  return http.post(`${api}/wework/welcome-list`, params)
}

export function getWeworkUserInfo(params) {
  return http.post(`${api}/wework/getUserInfo`, params)
}

export function saveWelcomeUserInfo(params) {
  return http.post(`${api}/wework/saveWelcomeUserInfo`, params)
}

export function uploadWeworkPic(params) {
  return http.post(`api/upload/wework-pic`, params)
}

export function getShopList(params) {
  return http.post(`${api}/shop/list`, params)
}

//卡券接口
export function getCouponList(params) {
  return http.post(`${api}/coupon/coupon-list`, params)
}
//刷新活动缓存
export function activityCacheRefresh(source) {
  return http.post(`${api}/activity/activity-cache-refresh?source=` + source)
}
// 券模板列表
export function getCouponPageList(page) {
  return http.post(`${api}/coupon/coupon-list`, obectToJson(page))
}

//门店列表
export function getHualalaShopList(params) {
  return http.post(`${api}/channel/shop-list`, params)
}

//hsay门店列表
// export function getStoreListBy(params) {
//   return http.post(`${api}/channel/hsay-store-list`, params)
// }
export function getCouponEventList(params) {
  return http.post(`${api}/activity/get-list`, params)
}

//修改活动权重
export function editActivity(params) {
  return http.post(`${api}/activity/edit-activity`, params)
}

//执行脚本
export function updateScript(params) {
  return http.post(`${api}/activity/update-script`, params)
}

//自动执行脚本
// export function executeCript(params) {
//   return http.post(`${api}/activity/execute-cript`, params)
// }

export function getSourceListApi(params) {
  return http.post(`${api}/activity/get-source-list`, params)
}

export function changeCouponEventStatus(params) {
  return http.get(`${api}/activity/del-activity`, params)
}
export function editActivityOnlineStatus(params) {
  return http.get(`${api}/activity/edit-activity-online`, params)
}

export function saveEventInfo(params) {
  return http.post(`${api}/activity/create-activity`, params)
}

export function updateEventInfo(params) {
  return http.post(`${api}/activity/update-activity`, params)
}

export function sendCode(params) {
  return http.post(`${api}/activity/update-activity`, params)
}

export function getEventInfo(params) {
  return http.get(`${api}/activity/get`, params)
}

export function getHualalaFoodList(params) {
  return http.post(`${api}/shop/foods-list`, params)
}

export function uploadPic(params) {
  return http.post(`/api/upload/upload-pic`, params)
}
